From 047e7ad4873ee0aec033342345defa2286ea923a Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Fri, 15 May 2009 11:48:29 +0400
Subject: [PATCH 2/2] etermsg: Add -ls key for the message about incorrect start date of licence

---
 programs/etermsg/En.rc      |    1 +
 programs/etermsg/Ru.rc      |    1 +
 programs/etermsg/etermsg.c  |   10 +++++++++-
 programs/etermsg/resource.h |    1 +
 4 files changed, 12 insertions(+), 1 deletions(-)

diff --git a/programs/etermsg/En.rc b/programs/etermsg/En.rc
index f4a7060..5294c20 100644
--- a/programs/etermsg/En.rc
+++ b/programs/etermsg/En.rc
@@ -28,6 +28,7 @@ BEGIN
     IDS_FILE_NOT_FOUND  "The license file is not found"
     IDS_FILE_CORRUPT    "The license file is corrupt"
     IDS_LICENSE_EXP     "The license has expired"
+    IDS_LICENSE_INV     "The license is not valid.\nCheck the date on your computer."
     IDS_ERROR_DIR       "Wine have been run in the unknown disk"
     IDS_ERROR_APP_BEG   "Module"
     IDS_ERROR_APP_END   "not found"
diff --git a/programs/etermsg/Ru.rc b/programs/etermsg/Ru.rc
index d0a649e..45054f0 100644
--- a/programs/etermsg/Ru.rc
+++ b/programs/etermsg/Ru.rc
@@ -28,6 +28,7 @@ BEGIN
     IDS_FILE_NOT_FOUND  "   "
     IDS_FILE_CORRUPT    "  "
     IDS_LICENSE_EXP     "   "
+    IDS_LICENSE_INV     "  .\n    ."
     IDS_ERROR_DIR       "Wine     "
     IDS_ERROR_APP_BEG   ""
     IDS_ERROR_APP_END   " "
diff --git a/programs/etermsg/etermsg.c b/programs/etermsg/etermsg.c
index 68e0f29..cc4ccb9 100644
--- a/programs/etermsg/etermsg.c
+++ b/programs/etermsg/etermsg.c
@@ -76,6 +76,14 @@ int main(int argc, char** argv)
         MessageBoxW(NULL, Text, Msg, MB_ICONWARNING | MB_OK);
         return 0;
     }
+    else if (argc && !strcmp(argv[0], "-ls"))
+    {
+        ret = LoadStringW(GetModuleHandleW(NULL), IDS_LICENSE_INV, Text, LOADSTRING_SIZE);
+        if (!ret) return 0;
+
+        MessageBoxW(NULL, Text, Msg, MB_ICONWARNING | MB_OK);
+        return 0;
+    }
     else if (argc && !strcmp(argv[0], "-ld"))
     {
         WCHAR date[ARG_SIZE];
@@ -162,7 +170,7 @@ int main(int argc, char** argv)
             MessageBoxW(NULL, Text, Msg, MB_ICONINFORMATION | MB_OK);
     }
     else
-        printf("Usage:\n\tetermsg [ -lf | -lc | -ld <date> | -a <prog-name> | -ed | -ea <path> ]\n");
+        printf("Usage:\n\tetermsg [ -lf | -lc | -ls | -ld <date> | -a <prog-name> | -ed | -ea <path> ]\n");
 
     return 0;
 }
diff --git a/programs/etermsg/resource.h b/programs/etermsg/resource.h
index 32e411f..4dc9086 100644
--- a/programs/etermsg/resource.h
+++ b/programs/etermsg/resource.h
@@ -27,3 +27,4 @@
 #define IDS_ERROR_APP_BEG   7
 #define IDS_ERROR_APP_END   8
 #define IDS_LICENSE_ACCORD  9
+#define IDS_LICENSE_INV     10
-- 
1.6.2.5

